
vp = wh.parameter.vp.values(1);
vb = wh.parameter.vb.values(1);
rop = wh.parameter.rop.values;


f=figure(113);
tiledlayout(2,4)
for sir = [20,36]
    for lw = wh.parameter.laser_linewidth.values
        nexttile
        cols = linspecer(9);
        cnt = 1;
        for bias = wh.parameter.vb.values(1:2:end-1)
            curber = [];
            curstd = [];
            rop_meas = [];
            txpow_meas = wh.getStoValue('mod_out_pow',sir,lw,1,vp,bias,rop(1));

            for pn_key = wh.parameter.pn_key.values
                rop_meas(end+1,:)   = wh.getStoValue('rop_save',sir,lw,pn_key,vp,bias,rop);
                curstd(end+1,:,:)   = wh.getStoValue('level_std',sir,lw,pn_key,vp,bias,rop);
            end

            std_ = squeeze(mean(curstd,1))';
            symbols = ["square",'o','+','x'];
            for l  =1:size(std_,1)
                plot(mean(rop_meas,1)-txpow_meas, std_(l,:) ,'DisplayName',['Vbias: ',num2str(bias),' V; Pam-lvl: ',num2str(l)],'LineStyle','-','Color',cols(cnt,:),'LineWidth',1,'Marker',symbols(l),'MarkerEdgeColor',[1 1 1],'MarkerFaceColor',cols(cnt,:));
                hold on
            end
            cnt = cnt+1;
        end
        
        title(['SIR: ',num2str(sir),'; Lw: ',num2str(lw*1e-6),' MHz; Vpeakpeak: ',num2str(2*vp)])
        legend('Location','northeast')
        xlabel("measured ROP in dBm")
        ylabel("Std")
        ylim([0.12,0.27]);
        drawnow
    end
end

